<?php

namespace Snog\Movies\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;

class Rating extends Entity
{
	public static function getStructure(Structure $structure)
	{
		$structure->table = 'xf_snog_movies_ratings';
		$structure->shortName = 'Snog\Movies:Rating';
		$structure->contentType = 'rating';
		$structure->primaryKey = 'rating_id';
		$structure->columns = [
				'rating_id' => ['type' => self::UINT, 'autoIncrement' => true, 'nullable' => true],
				'thread_id' => ['type' => self::UINT],
				'user_id' => ['type' => self::UINT],
				'rating' => ['type' => self::UINT],
		];

		return $structure;
	}

	protected function _postSave()
	{
	}

	protected function _preSave()
	{

	}
}
