<?php

namespace Snog\Movies\XF\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;

class Thread extends XFCP_Thread
{
	public static function getStructure(Structure $structure)
	{
		$structure = parent::getStructure($structure);
	
		$structure->relations['Movie'] = [
				'entity' => 'Snog\Movies:Movie',
				'type' => entity::TO_ONE,
				'conditions' => 'thread_id',
				'primary' => true
		];
		
		return $structure;
	}
}