<?php

namespace Snog\Movies\Option;

use XF\Option\AbstractOption;

class UserGroup extends AbstractOption
{
	public static function renderCheckboxes(\XF\Entity\Option $option, array $htmlParams)
	{
		$userGroupRepo = \XF::repository('XF:UserGroup');

		foreach ($userGroupRepo->findUserGroupsForList()->fetch() AS $group)
		{
			$choices[$group->user_group_id] = $group->title;
		}

		return self::getCheckboxRow($option, $htmlParams, $choices);
	}
}