<?php

namespace Snog\Movies\XF\Criteria;

class User extends XFCP_User
{
	protected function _matchMoviesPosted(array $data, \XF\Entity\User $user)
	{
		$app = \XF::app();
		$finder = $app->finder('XF:Thread');
		$movies = $finder->where('user_id', $user->user_id)->where('Movie.tmdb_id', '>' , '')->where('discussion_type', '<>', 'redirect')->fetch();
		$count = $movies->count();
		return ($count && $count >= $data['movies']);
	}
}